## php.java.script
Interface IPhpScriptContext

All Superinterfaces:
  Invocable

All Known Implementing Classes:
  PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

    public interface IPhpScriptContext

extends Invocable

Common methods for all PHP ScriptContexts

Author:
  jostb

Method Summary
`JavaBridgeRunner` `getHttpServer()` Return the http server associated with this context.
`java.io.Writer` `getWriter()` Returns the Writer
`void` `setContinuation(HttpProxy kont)` Set the php continuation

Methods inherited from interface php.java.bridge.Invocable
`call`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns the Writer

  Returns:
    The writer

### setContinuation

    void setContinuation(HttpProxy kont)

  Set the php continuation

  Parameters:
    `kont` - The continuation.

### getHttpServer

    JavaBridgeRunner getHttpServer()

  Return the http server associated with this context.

  Returns:
    The http server.